public class Helmholtz extends Laplace{
    public static double H_old(int i, int j, double g){
	return(OPOLD(i,j)+g*Domain.cW*derV(Matrice.phi_old[i][j]));
    }

    public static double H_new(int i, int j, double g){
	return(OPNEW(i,j)+g*Domain.cW*derV(Matrice.phi_new[i][j]));
    }


    public static double derV(double u){
	return(u*(Domain.sqr(u)-1.0));}
}
