public class Resolution{

    public static void Jacobi_Update(double g){
	int i,j;
	for(i=1;i<Matrice.phi_old.length-1;i++){
	    for(j=1;j<Matrice.phi_old[0].length-1;j++){
		Matrice.phi_new[i][j]=Helmholtz.H_old(i,j,g);

	    }
	}
    }

    public static void Gauss_Seidel_Update(double g){
	int i,j;
	for(i=1;i<Matrice.phi_old.length-1;i++){
	    for(j=1;j<Matrice.phi_old[0].length-1;j++){
		Matrice.phi_new[i][j]=Helmholtz.H_new(i,j,g);

	    }
	}
    }
 
    public static void SOR_Update(double g, double w){
	int i,j;
	for(i=1;i<Matrice.phi_old.length-1;i++){
	    for(j=1;j<Matrice.phi_old[0].length-1;j++){
		Matrice.phi_new[i][j]=(1.-w)*Matrice.phi_new[i][j]+w*Helmholtz.H_new(i,j,g);

	    }
	}
    }

    public static double Error(){
	int i,j;
	double e=0.0;
	for(i=1;i<Matrice.phi_old.length-1;i++){
	    for(j=1;j<Matrice.phi_old[0].length-1;j++){
		e=e+Math.abs(Matrice.phi_new[i][j]-Matrice.phi_old[i][j]);
	    }
	}
	return(e/(double)(Matrice.phi_old.length*Matrice.phi_old[0].length));
    }

    public static void Update(){
	int i,j;
	for(i=1;i<Matrice.phi_old.length-1;i++){
	    for(j=1;j<Matrice.phi_old[0].length-1;j++){
		Matrice.phi_old[i][j]=Matrice.phi_new[i][j];
	    }
	}
    }


}
